\documentclass[10pt]{amsart}

\begin{document}

This is a half-open interval: $[0, 1)$.

{ 

        I wonder why you put that there.

}

\begin{itemize}
\item[{Even in item, ] still serves}] Foo
\end{itemize}

\end{document}
